VMware Tanzu GemFire Release Notes

v1.12.3

Release Date: June 25, 2021

  • VMware Tanzu GemFire for VMs runs VMware Tanzu GemFire v9.10.8.

Version 1.12.3 of VMware Tanzu GemFire for VMs addresses an important upgrade issue:

  • GEODE-9289, GEM-3253: Addressed an issue with deserialization of configuration information from old locators during rolling upgrade.

v1.12.2

Release Date: February 25, 2021

  • VMware Tanzu GemFire for VMs runs VMware Tanzu GemFire v9.10.6.

VMware Tanzu GemFire v9.10.6 includes a fix for issues GEODE-8799 and GEM-3041, providing a performance improvement by increasing the defaults for maximum number of pooled message processor threads and maximum partitioned region message processor threads.

NOTE: If your system had been hitting the old, lower default maximums, then upgrading may cause increased use of system resources as the system is no longer constrained to the old values. If your system depends on constraining system resources to the old default values, you can set these properties explicitly using DistributionManager.MAX_THREADS and DistributionManager.MAX_PR_THREADS, respectively.

The following table shows the old and new maximum values.

System Resource Old Default Value New Default Value
DistributionManager.MAX_THREADS 100 1000
DistributionManager.MAX_PR_THREADS The greater of (CPUs * 4) or 16 The greater of (CPUs * 32) or 200

v1.12.1

Release Date: November 9, 2020

Features included in this release:

  • Tanzu GemFire supports VMware Tanzu Application Service for VMs versions 2.10 and 2.9.
  • VMware Tanzu GemFire for VMs runs VMware Tanzu GemFire v9.10.5.
  • Improved performance by tuning the number of simultaneous handshakes that the Tanzu GemFire cluster performs.

v1.12.0

Release Date: July 31, 2020

Features included in this release:

  • Tanzu GemFire supports VMware Tanzu Application Service for VMs versions 2.10 and 2.9.
  • VMware Tanzu GemFire for VMs runs VMware Tanzu GemFire v9.10.2.

Known Issues

A v4.36 Java buildpack is incompatible with an app that will be bound to a session replication service. Any Tanzu Application Service (TAS) upgrade to version

  • 2.10.12, 2.10.11
  • 2.9.20, 2.9.19
  • 2.8.26, 2.8.25
  • 2.7.32, 2.7.31

will contain a v4.36 Java buildpack. Apps with this issue will fail to start due to a version mismatch between the app and the Tanzu GemFire cluster servers. See Java Buildpack Version Incompatibility for details on how to fix the issue.